Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v2
Class ProfessionalAuthorizationType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v2.BaseType
          be.fgov.ehealth.samcivics.type.v2.ProfessionalAuthorizationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:02:27+01:00",
               comments="JAXB RI v2.2.11")
    public class ProfessionalAuthorizationType

extends BaseType
implements Serializable

Java class for ProfessionalAuthorizationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProfessionalAuthorizationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:samcivics:type:v2}BaseType">
           <sequence>
             <element name="ProfAuId" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="PurchasingAdvisorName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ProfessionalCode" type="{urn:be:fgov:ehealth:samcivics:type:v2}ProfessionalCodeType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ProfessionalAuthorizationType()`

Method Summary
`long` | `getProfAuId()` Gets the value of the profAuId property.
`ProfessionalCodeType` | `getProfessionalCode()` Gets the value of the professionalCode property.
`String` | `getPurchasingAdvisorName()` Gets the value of the purchasingAdvisorName property.
`void` | `setProfAuId(long value)` Sets the value of the profAuId property.
`void` | `setProfessionalCode(ProfessionalCodeType value)` Sets the value of the professionalCode property.
`void` | `setPurchasingAdvisorName(String value)` Sets the value of the purchasingAdvisorName property.

Methods inherited from class be.fgov.ehealth.samcivics.type.v2.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfessionalAuthorizationType

    public ProfessionalAuthorizationType()

Method Detail

### getProfAuId

    public long getProfAuId()

  Gets the value of the profAuId property.

### setProfAuId

    public void setProfAuId(long value)

  Sets the value of the profAuId property.

### getPurchasingAdvisorName

    public String getPurchasingAdvisorName()

  Gets the value of the purchasingAdvisorName property.

  Returns:
    possible object is `String`

### setPurchasingAdvisorName

    public void setPurchasingAdvisorName(String value)

  Sets the value of the purchasingAdvisorName property.

  Parameters:
    `value` - allowed object is `String`

### getProfessionalCode

    public ProfessionalCodeType getProfessionalCode()

  Gets the value of the professionalCode property.

  Returns:
    possible object is `ProfessionalCodeType`

### setProfessionalCode

    public void setProfessionalCode(ProfessionalCodeType value)

  Sets the value of the professionalCode property.

  Parameters:
    `value` - allowed object is `ProfessionalCodeType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.